#### INRECSIZE

#### Synopsis

    HELP:   Record length of original files (format "fix"/"undefined", 1-32760) [512]
    TYPE:   NUMBER
    SYNTAX: INRECSIZE/IRECSIZE/IRECS=num

#### Description

This parameter specifies the record size of the original input file.

See also parameter INRECFORMAT.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `IRECSIZE=n`
  - `IRECS=n`
    - Note: Record length of input file (true length, without record length field.) This parameter is not necessary for catalogued files in z/OS.
- UNIX
  - `-inrecsize=n`
    - Note: This parameter specifies the record size of original input files with a fixed or undefined record format.
- WINDOWS
  - `inrecsize=nnn`
  - `inrecs=nnn`
    - Note: This parameter specifies the record length of original input files with record format `fix` or `undefined` resp. the maximum record length.

Values

- z/OS
  - 0-32760
- UNIX
  - 1-32760
- WINDOWS
  - 1-32760

Default

- z/OS
  - 32752
- UNIX
  - none
- WINDOWS
  - 512

Valid for

- compression